using System;
using System.Collections.Generic;

namespace BlogKickStart.Models
{
    public class Post
    {
		public Post()
		{ 
			this.Comments = new List<Comment>();
		}
        public int PostID { get; set; }
        public int BlogID { get; set; }
        public string Title { get; set; }
        public string UnmarkedContent { get; set; }
        public string MarkedContent { get; set; }
        public Nullable<System.DateTime> Date { get; set; }
        public Nullable<bool> Active { get; set; }
        public virtual Blog Blog { get; set; }
		public virtual ICollection<Comment> Comments { get; set; }

	}
}
