﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace CreateDatabase
{
	class ApplicationConfiguration
	{
		private const string ConnectionStringKey = "BlogKickstartContext";

		public static string ConnectionString
		{
			get { return ApplicationConfiguration.GetConnectionString(ConnectionStringKey); }
		}

		private static string GetAppSetting(string key)
		{
			return ConfigurationManager.AppSettings[key];
		}

		private static string GetConnectionString(string name)
		{
			return ConfigurationManager.ConnectionStrings[name].ConnectionString;
		}
	}
}
