using System;
using System.Collections.Generic;

namespace BlogKickStart.Models
{
    public class Blog
    {
        public Blog()
        {
            this.Users = new List<User>();
            this.Posts = new List<Post>();
        }

        public int BlogID { get; set; }
        public string Name { get; set; }
        public string Url { get; set; }
        public Nullable<int> StyleID { get; set; }
        public virtual ICollection<User> Users { get; set; }
        public virtual Style Style { get; set; }
        public virtual ICollection<Post> Posts { get; set; }
    }
}
